<?php

/***
 *	Class Accounts
 *  -------------- 
 *  Description : encapsulates account properties
 *  Updated	    : 09.12.2009
 *	Written by  : ApPHP
 *	
 **/

class Accounts {

	public $account_name;	
	public $error;

	protected $account_id;
	
	private $account_password;
	private $account_email;
	
	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct($account = 0)
	{
		$this->account_id = $account;
		$this->error      = "";
		
		// Get account information only if the class was created with some valid account_id
		if($this->account_id!="0"){
			$sql = "SELECT * FROM ".DB_PREFIX."accounts WHERE id=".intval($this->account_id);
			$temp = database_query($sql,_DATA_ONLY,_FIRST_ROW_ONLY);
			if(is_array($temp)){
				$this->account_email = isset($temp['email']) ? $temp['email'] : '';
				$this->account_name = isset($temp['user_name']) ? $temp['user_name'] : '';
				$this->account_password = isset($temp['user_name']) ? $temp['user_name'] : '';
			}			
		}
	}

	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct()
	{
		// echo 'this object has been destroyed';
    }

	/***
	 * Get Parameter
	 *		@param $param
	 **/
	public function GetParameter($param = "")
	{
		if($param == "email"){
			return $this->account_email;
		}
		return "";
	}

	/***
	 * Change Password
	 *		@param $password
	 *		@param $confirmation - confirm password
	 **/
	public function ChangePassword($password, $confirmation)
	{
		// deny all operations in demo version
		if(strtolower(_SITE_MODE) == "demo"){
			return draw_important_message(OPERATION_BLOCKED, false);
		}
				
		if (!empty($password) && !empty($confirmation) && strlen($password) >= 6) {
			if ($password == $confirmation){
				if(_PASSWORD_ENCRYPTION){
					$password = "AES_ENCRYPT('".$password."', '".DB_ENCRYPT_KEY."')";
				}else{
					$password = "'".$password."'";
				}
				$sql = "UPDATE ".DB_PREFIX."accounts SET password = ".$password." WHERE id = '".$this->account_id."'";
				if (database_void_query($sql)) {
					return draw_success_message(PASSWORD_CHANGED, false);
				} else {
					return draw_important_message(PASSWORD_NOT_CHANGED, false);
				}								
			} else return draw_important_message(PASSWORD_DO_NOT_MATCH, false);
		} else return draw_important_message(PASSWORD_IS_EMPTY, false);
	}

	/***
	 * Change Email
	 *		@param $email
	 **/
	public function ChangeEmail($email)
	{
		// deny all operations in demo version
		if(strtolower(_SITE_MODE) == "demo"){
			return draw_important_message(OPERATION_BLOCKED, false);
		}
				
		if (!empty($email)) {
			if(check_email_address($email)){
				$sql = "UPDATE ".DB_PREFIX."accounts SET email = '".$email."' WHERE id = '".$this->account_id."'";
				if (database_void_query($sql)) {
					$this->account_email = $email;
					return draw_success_message(CHANGES_SAVED, false);
				} else {
					return draw_important_message(TRY_LATER, false);
				}
			} else return draw_important_message(EMAIL_IS_WRONG, false);
		} else return draw_important_message(EMAIL_IS_EMPTY, false);
	}

	/***
	 * Send forgotten password
	 *		@param $email
	 **/
	public function SendPassword($email)
	{
		// deny all operations in demo version
		if(strtolower(_SITE_MODE) == "demo"){
			return draw_important_message(OPERATION_BLOCKED, false);
		}
				
		if(!empty($email)) {
			if(check_email_address($email)){   

				$sql = "SELECT user_name, password FROM ".DB_PREFIX."accounts WHERE email='".$email."'";
				$temp = database_query($sql,_DATA_ONLY,_FIRST_ROW_ONLY);
				if(is_array($temp) && count($temp) > 0){
					$sender = "mail-noreply@domain.com";
					$recipiant = $email;
	
					$title	= "Forgotten Password";
					$message = file_get_contents("mails/password_forgotten.txt");				
					$message = str_replace("_USER_NAME_", $temp['user_name'], $message);
					$message = str_replace("_USER_PASSWORD_", $temp['password'], $message);
					$message = str_replace("_WEB_SITE_", $_SERVER['SERVER_NAME'], $message);
	
					$text_version = strip_tags($message);
				
					$msg = new Email($recipiant, $sender, $title); 
					$msg->textOnly = true;
					$msg->content = $text_version;			
					
					$msg->Send();
					
					return true;					
				}else{
					$this->error = EMAIL_NOT_EXISTS;
					return false;
				}				
			}else{
				$this->error = EMAIL_IS_WRONG;
				return false;								
			}
		} else {
			$this->error = EMAIL_IS_EMPTY;
			return false;
		}
		return true;
	}

}
?>