<?php

/**
 *	Class AdminsAccounts
 *  -------------- 
 *  Description : encapsulates Admins Accounts operations & properties
 *  Updated	    : 01.12.2009
 *	Written by  : ApPHP
 *	
 **/

class AdminsAccounts extends MicroGrid {
	
	protected $tableName;
	protected $primaryKey;
	protected $dataSet;
	protected $formActionURL;
	protected $params;
	protected $actions;

	protected $languageId;
	protected $allowLanguages;

	protected $VIEW_MODE_SQL;
	protected $EDIT_MODE_SQL;
	protected $DETAILS_MODE_SQL;
	protected $WHERE_CLAUSE;
	protected $ORDER_CLAUSE;
	protected $LIMIT_CLAUSE;

	protected $arrViewModeFields;	
	protected $arrAddModeFields;	
	protected $arrEditModeFields;
	protected $arrDetailsModeFields;
	
	public $error;
	
	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct() {

		$this->params = array();		
		if(isset($_POST['user_name']))  $this->params['user_name']  = $_POST['user_name'];
		if(isset($_POST['password']))	$this->params['password']   = $_POST['password'];
		if(isset($_POST['email']))   	$this->params['email']      = $_POST['email'];
		if(isset($_POST['account_type'])) $this->params['account_type'] = $_POST['account_type'];
	
		$this->primaryKey 	= "id";
		$this->tableName 	= DB_PREFIX."accounts";
		$this->dataSet 		= array();
		$this->error 		= "";
		///$this->languageId  	= (isset($_REQUEST['language_id']) && $_REQUEST['language_id'] != "") ? $_REQUEST['language_id'] : Languages::GetDefaultLang();
		$this->formActionURL = "index.php?admin=admins_management";
		$this->actions      = array("add"=>true, "edit"=>true, "details"=>true, "delete"=>true);

		$this->allowLanguages = false;
		$this->WHERE_CLAUSE = "WHERE ".DB_PREFIX."accounts.account_type = 'admin'";		
		$this->ORDER_CLAUSE = "ORDER BY id ASC";

		// prepare languages array		
		#$total_languages = Languages::GetAll();
		#$arr_languages      = array();
		#foreach($total_languages[0] as $key => $val){
		#	$arr_languages[$val['abbreviation']] = $val['lang_name'];
		#}

		//---------------------------------------------------------------------- 
		// VIEW MODE
		//---------------------------------------------------------------------- 
		$this->VIEW_MODE_SQL = "SELECT ".$this->primaryKey.",
									user_name,
									password,
									email,
									account_type,
									last_login 
								FROM ".$this->tableName."";		
		// define view mode fields
		$this->arrViewModeFields = array(
			"user_name"  => array("title"=>USER_NAME,  "type"=>"label", "align"=>"left", "width"=>""),
			"email"      => array("title"=>'Email',      "type"=>"label", "align"=>"center", "width"=>""),
			"last_login" => array("title"=>LAST_LOGIN, "type"=>"label", "align"=>"center", "width"=>""),
		);
		
		//---------------------------------------------------------------------- 
		// ADD MODE
		//---------------------------------------------------------------------- 
		// define add mode fields
		$this->arrAddModeFields = array(
			"user_name"  	=> array("title"=>USER_NAME,	"type"=>"textbox", "required"=>true, "validation_type"=>"alpha_numeric"),
			"password"    	=> array("title"=>PASSWORD,		"type"=>"textbox", "required"=>true, "validation_type"=>"text"),
			"email" 		=> array("title"=>EMAIL_ADDRESS,"type"=>"textbox", "required"=>true, "validation_type"=>"email"),
			"account_type"  => array("title"=>"",     		"type"=>"hidden",  "required"=>true, "default"=>"admin"),
			"last_login" 	=> array("title"=>"",           "type"=>"hidden",  "required"=>false, "default"=>""),
		);

		//---------------------------------------------------------------------- 
		// EDIT MODE
		//---------------------------------------------------------------------- 
		$this->EDIT_MODE_SQL = "SELECT
								".$this->tableName.".".$this->primaryKey.",
								".$this->tableName.".user_name,
								".$this->tableName.".password,
								".$this->tableName.".email,
								".$this->tableName.".account_type,
								".$this->tableName.".last_login
							FROM ".$this->tableName."
							WHERE ".$this->tableName.".".$this->primaryKey." = _RID_";		
		// define edit mode fields
		$this->arrEditModeFields = array(
			"user_name"  	=> array("title"=>USER_NAME,	"type"=>"textbox", "required"=>true, "validation_type"=>"alpha_numeric"),
			"password"    	=> array("title"=>PASSWORD,		"type"=>"textbox", "required"=>true, "validation_type"=>"text"),
			"email" 		=> array("title"=>EMAIL_ADDRESS,"type"=>"textbox", "required"=>true, "validation_type"=>"email"),
			"account_type"  => array("title"=>"",     		"type"=>"hidden", "required"=>true, "default"=>"admin"),
			"last_login" 	=> array("title"=>"", 			"type"=>"hidden", "required"=>false, "default"=>""),
		);

		//---------------------------------------------------------------------- 
		// DETAILS MODE
		//----------------------------------------------------------------------
		$this->DETAILS_MODE_SQL = $this->EDIT_MODE_SQL;
		$this->arrDetailsModeFields = array(
			"user_name"   	=> array("title"=>USER_NAME, "type"=>"label"),
			"email"     	=> array("title"=>EMAIL_ADDRESS, 	 "type"=>"label"),
			"account_type"  => array("title"=>ACCOUNT_TYPE, "type"=>"label"),
			"last_login" 	=> array("title"=>LAST_LOGIN, "type"=>"label"),
		);

	}
	
	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct()
	{
		// echo 'this object has been destroyed';
    }


	/***
	 *	Get all DataSet array
	 *
	 *  static public function GetAll() { }
	 *	
	 **/
	
	/***
	 *	Add record
	 *
	 *	function AddRecord($params = array()) { 	}
	 *	
	 **/

	/***
	 *	Delete record
	 *
	 *	function DeleteRecord($rid = "") { 	}
	 *	
	 **/

}
?>