<?php

/**
 *	Code Template for MicroGrid Class
 *  -------------- 
 *	Written by  : ApPHP
 *  Updated	    : 01.12.2009
 *	Written by  : ApPHP
 *	Version     : 1.0.2
 *	
 **/


class MyClass extends MicroGrid {
	
	protected $tableName;
	protected $primaryKey;
	protected $dataSet;
	protected $formActionURL;
	protected $params;
	protected $actions;

	protected $languageId;
	protected $allowLanguages;

	protected $VIEW_MODE_SQL;
	protected $EDIT_MODE_SQL;
	protected $DETAILS_MODE_SQL;
	protected $WHERE_CLAUSE;
	protected $ORDER_CLAUSE;
	protected $LIMIT_CLAUSE;

	protected $arrViewModeFields;	
	protected $arrAddModeFields;	
	protected $arrEditModeFields;
	protected $arrDetailsModeFields;
	
	public $error;
	
	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct() {

		$this->params = array();		
		if(isset($_POST['parameter1']))   $this->params['parameter1'] = $_POST['parameter1'];
		if(isset($_POST['parameter2']))   $this->params['parameter2'] = $_POST['parameter2'];
		if(isset($_POST['parameter3']))   $this->params['parameter3'] = $_POST['parameter3'];
		if(isset($_REQUEST['language_id'])) $this->params['language_id']  = $_REQUEST['language_id'];
	
		$this->primaryKey 	= "id";
		$this->tableName 	= DB_PREFIX."table";
		$this->dataSet 		= array();
		$this->error 		= "";
		$this->formActionURL = "index.php?admin=page_name";
		$this->actions      = array("add"=>true, "edit"=>true, "details"=>true, "delete"=>true);

		$this->languageId  	= (isset($_REQUEST['language_id']) && $_REQUEST['language_id'] != "") ? $_REQUEST['language_id'] : Languages::GetDefaultLang();
		$this->allowLanguages = true;
		$this->WHERE_CLAUSE = ""; // WHERE ....		
		$this->ORDER_CLAUSE = ""; // ORDER BY date_created DESC

		// prepare languages array		
		//$total_languages = Languages::GetAll();
		//$arr_languages      = array();
		//foreach($total_languages[0] as $key => $val){
		//	$arr_languages[$val['abbreviation']] = $val['lang_name'];
		//}

		//---------------------------------------------------------------------- 
		// VIEW MODE
		//---------------------------------------------------------------------- 
		$this->VIEW_MODE_SQL = "SELECT ".$this->primaryKey.",
									parameter1,
									parameter2,
									parameter3
								FROM ".$this->tableName."";		
		// define view mode fields
		$this->arrViewModeFields = array(

			// "parameter1"  => array("title"=>"", "type"=>"label", "align"=>"left", "width"=>""),
		);
		
		//---------------------------------------------------------------------- 
		// ADD MODE
		//---------------------------------------------------------------------- 
		// define add mode fields
		$this->arrAddModeFields = array(

			// "parameter1"  => array("title"=>"", "type"=>"label"),
			// "parameter2"  => array("title"=>"", "type"=>"textbox", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter3"  => array("title"=>"", "type"=>"textarea", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter4"  => array("title"=>"", "type"=>"hidden", "required"=>true, "default"=>date("Y-m-d H:i:s")),
			// "parameter5"  => array("title"=>"", "type"=>"enum", "source"=>$arr_languages, "required"=>true),
		);

		//---------------------------------------------------------------------- 
		// EDIT MODE
		//---------------------------------------------------------------------- 
		$this->EDIT_MODE_SQL = "SELECT
								".$this->tableName.".".$this->primaryKey.",
								".$this->tableName.".parameter1,
								".$this->tableName.".parameter2,
								".$this->tableName.".parameter3
							FROM ".$this->tableName."
							WHERE ".$this->tableName.".".$this->primaryKey." = _RID_";		
		// define edit mode fields
		$this->arrEditModeFields = array(
		
			// "parameter1"  => array("title"=>"", "type"=>"label"),
			// "parameter2"  => array("title"=>"", "type"=>"textbox", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter3"  => array("title"=>"", "type"=>"textarea", "required"=>true, "validation_type"=>"alpha|numeric|alpha_numeric|text|email"),
			// "parameter4"  => array("title"=>"", "type"=>"hidden", "required"=>true, "default"=>date("Y-m-d H:i:s")),
			// "parameter5"  => array("title"=>"", "type"=>"enum", "source"=>$arr_languages, "required"=>true),
		);

		//---------------------------------------------------------------------- 
		// DETAILS MODE
		//----------------------------------------------------------------------
		$this->DETAILS_MODE_SQL = $this->EDIT_MODE_SQL;
		$this->arrDetailsModeFields = array(

			// "parameter1"  => array("title"=>"", "type"=>"label"),
			// "parameter2"  => array("title"=>"", "type"=>"label"),
			// "parameter3"  => array("title"=>"", "type"=>"label"),
		);

	}
	
	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct()
	{
		// echo 'this object has been destroyed';
    }


	/***
	 *	Get all DataSet array
	 *
	 *  static public function GetAll() { }
	 *	
	 **/
	
	/***
	 *	Add record
	 *
	 *	function AddRecord($params = array()) { 	}
	 *	
	 **/

	/***
	 *	Delete record
	 *
	 *	function DeleteRecord($rid = "") { 	}
	 *	
	 **/
	
	
}
?>