<?php

/**
 *	Class Modules
 *  -------------- 
 *  Description : encapsulates modules properties
 *  Updated	    : 16.07.2009
 *	Written by  : ApPHP
 *	
 **/

class Modules {

	private $id;
	protected $modules;
	public $modulesCount;
	public $error;    
	
	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct($id = "") {
		$this->id = $id;
		if($this->id != ""){
			$sql = "SELECT id, name, icon_file, is_installed
					FROM ".DB_PREFIX."modules
					WHERE id = '".intval($this->id)."'";
			$this->modules = database_query($sql,_DATA_AND_ROWS,_ALL_ROWS);
		}else{
			$this->modules = Modules::GetAll();
		}
		$this->modulesCount = $this->modules[1];
	}
	
	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct(){
		// echo 'this object has been destroyed';
    }


	/***
	 *	Draw all modules
	 *		return: html output
	 **/
	function DrawModules() {
		
		#echo "<pre>";
		#print_r($this->modules);
		#echo "</pre>";

		if($this->modulesCount > 0){
			echo "<table border='0' cellspacing='1' cellpadding='2' class='main_text'>";			
			echo "<tr>";
			for($i=0; $i < $this->modules[1]; $i++){
				if(($i > 0) && ($i % 5 == 0)) echo "</tr><tr>";
				echo "<td align='center'>
						<b>".ucfirst($this->modules[0][$i]['name'])."</b><br />
						<img src='images/modules_icons/".$this->modules[0][$i]['icon_file']."' alt='' style='margin:2px;border:1px solid #dedede' /><br />
						".(($this->modules[0][$i]['is_installed'] == 1)
						? "<a href='index.php?admin=modules&act=uninstall&mid=".$this->modules[0][$i]['id']."' onclick=\"return confirm('".MODULE_UNINSTALL_ALERT."')\"><b>".UNINSTALL."</b></a>"
						: "<a href='index.php?admin=modules&act=install&mid=".$this->modules[0][$i]['id']."' onclick=\"return confirm('".MODULE_INSTALL_ALERT."')\"><b>".INSTALL."</b></a>")."</td>";
			}
			echo "</tr>";
			echo "</table>";
		}else{
			
		}
	}

	/***
	 *	Get all modules array
	 *		param @params - array of arguments
	 **/
	function GetAll($params = array()) {		
		$sql = "SELECT id, name, icon_file, is_installed
				FROM ".DB_PREFIX."modules";		
		return database_query($sql, _DATA_AND_ROWS, _ALL_ROWS);
	}


	/***
	 *	Install Module
	 *		param @params - array of arguments
	 *		return: boolean
	 **/
	function InstallModule($params = array()) {

		// Block operation in demo mode
		if(strtolower(_SITE_MODE) == "demo"){
			$this->error = OPERATION_BLOCKED;
			return false;
		}

		$id = (isset($params['mid'])) ? $params['mid'] : "0";
		
		$sql = "UPDATE ".DB_PREFIX."modules SET is_installed = 1 WHERE id = ".(int)$id;		
		if(database_void_query($sql)){
			$this->modules = Modules::GetAll();
			$this->modulesCount = $this->modules[1];
			return true;
		}else{
			return false;			
		}
	}

	/***
	 *	Un-Install Module
	 *		param @params - array of arguments
	 *		return: boolean
	 **/
	function UninstallModule($params = array())
	{
		// Block operation in demo mode
		if(strtolower(_SITE_MODE) == "demo"){
			$this->error = OPERATION_BLOCKED;
			return false;
		}

		$id = (isset($params['mid'])) ? $params['mid'] : "0";
		
		$sql = "UPDATE ".DB_PREFIX."modules SET is_installed = 0 WHERE id = ".(int)$id;		
		if(database_void_query($sql)){
			$this->modules = Modules::GetAll();
			$this->modulesCount = $this->modules[1];
			return true;
		}else{
			return false;			
		}
	}

	/***
	 *	Check if module installed
	 *	    type: STATIC
	 *		param @module_name
	 *		return: boolean
	 **/
	public static function IsModuleInstalled($module_name)
	{		
		$sql = "SELECT is_installed FROM ".DB_PREFIX."modules WHERE name = '".$module_name."' AND is_installed = 1";		
		if(database_query($sql, _ROWS_ONLY) > 0){
			return true;
		}else{
			return false;			
		}
	}

}
?>