<?php

/***
 *	Class Session
 *  -------------- 
 *  Description : encapsulates session properties
 *  Updated	    : 20.05.2009
 *	Written by  : ApPHP
 *	
 **/

class Session {

	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct() {
		@session_start();
	}

	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct(){
		// echo 'this object has been destroyed';
    }

	/***
	 * Set session variable 
	 *		@param $name
	 *		@param $value
	 **/
	function SetSessionVariable($name, $value) {
		$_SESSION[$name] = $value;
	}
	
	/***
	 * Get session variable 
	 *		@param $name
	 **/
	function GetSessionVariable($name) {
		return isset($_SESSION[$name]) ? $_SESSION[$name] : '';
	}

	/***
	 * Set message
	 *		@param $name
	 *		@param $value
	 **/
	function SetMessage($name, $value) {
		$_SESSION['messages'][$name] = $value;
	}
	
	/***
	 * Check if there is a message
	 *		@param $name
	 **/
	function IsMessage($name) {
        return (isset($_SESSION['messages'][$name]) && $_SESSION['messages'][$name] != "") ? true : false;
	}

	/***
	 * Get message and clear 
	 *		@param $name
	 **/
	function GetMessage($name) {
        $msg = isset($_SESSION['messages'][$name]) ? $_SESSION['messages'][$name] : "";
        if($msg != "") $_SESSION['messages'][$name] = "";
        return $msg;
	}

	/***
	 * Destroys the session
	 * 
	 */
	function EndSession() {
		$_SESSION = array();
		@session_destroy();
	}
}
?>