<?php

/***
 *	Class StaticPages
 *  -------------- 
 *  Description : encapsulates static pages properties
 *  Updated	    : 20.05.2009
 *	Written by  : ApPHP
 *	
 **/

class StaticPages {

	protected $page_key;
	protected $page_id;
	protected $page;
	protected $languageId;

	public $error;
	
	//==========================================================================
    // Class Constructor
	//==========================================================================
	function __construct($page_id = "") {
		
		if($page_id == "public_home"){
			$this->languageId = (isset($_SESSION['lang'])) ? $_SESSION['lang'] : Languages::GetDefaultLang();
		}else{
			$this->languageId = (isset($_REQUEST['language_id']) && $_REQUEST['language_id'] != "") ? $_REQUEST['language_id'] : Languages::GetDefaultLang();
		}
		
		if($page_id != ""){
			if($page_id == "home" || $page_id == "public_home"){
				$sql_home = "SELECT
							".DB_PREFIX."static_pages.*,
							".DB_PREFIX."languages.lang_name as language_name
						FROM ".DB_PREFIX."static_pages
							LEFT OUTER JOIN ".DB_PREFIX."languages ON ".DB_PREFIX."static_pages.language_id = ".DB_PREFIX."languages.abbreviation
						WHERE
							".DB_PREFIX."static_pages.is_home = 1 AND
							".DB_PREFIX."static_pages.language_id = '".$this->languageId."'";
				$this->page = database_query($sql_home,_DATA_ONLY,_FIRST_ROW_ONLY);
				if(empty($this->page)){
					// create Home Page
					$sql = "INSERT INTO ".DB_PREFIX."static_pages(
							id,
							language_id,
							page_key,
							page_title,
							page_text,
							menu_id,
							menu_link,
							menu_placement,
							is_home
						)VALUES(
							NULL,
							'".$this->languageId."',
							'',
							'',
							'',
							0,
							'',
							'',
							1
						)";
					if(database_void_query($sql)){
						$this->page = database_query($sql_home,_DATA_ONLY,_FIRST_ROW_ONLY);
					}
				}
			}else{
				$sql = "SELECT
							".DB_PREFIX."static_pages.*,
							".DB_PREFIX."languages.lang_name as language_name
						FROM ".DB_PREFIX."static_pages
							LEFT OUTER JOIN ".DB_PREFIX."languages ON ".DB_PREFIX."static_pages.language_id = ".DB_PREFIX."languages.abbreviation
						WHERE ".DB_PREFIX."static_pages.id = '".(int)$page_id."'";
				$this->page = database_query($sql,_DATA_ONLY,_FIRST_ROW_ONLY);
			}
			if(empty($this->page)){
				$this->page_id = "";
			}else{
				$this->page_id = $page_id;				
			}			
		}else{
			$this->page_id = $page_id;
			$this->page['id'] = "";
			$this->page['page_title'] = "";
			$this->page['page_key'] = "";
			$this->page['page_text'] = "";
			$this->page['menu_id'] = "0";
			$this->page['menu_link'] = "";
			$this->page['menu_placement'] = "";
			$this->page['language_name'] = "";
			$this->page['language_id'] = "";
		}
	}
	
	//==========================================================================
    // Class Destructor
	//==========================================================================
    function __destruct(){
		// echo 'this object has been destroyed';
    }

	/***
	 * Draw page title
	 *		@param $template - template name
	 **/
	public function DrawTitle($template = "orange"){
		if(isset($this->page['page_title'])){
			$page_title = $this->GetDataDecoded($this->page['page_title']);
			draw_title_bar($page_title, "title_bar", $template);
		}
	}

	/***
	 * Draw page text
	 * 
	 **/
	public function DrawText(){
		if(isset($this->page['page_text'])){
			$page_text = $this->GetDataDecodedText($this->page['page_text']);
			echo $page_text;
		}
	}
	
	/***
	 *	Get parameter
	 *	
	 **/
	public function GetParameter($param = ""){
		if(isset($this->page[$param])){
			return $this->page[$param];
		}else{
			return "";
		}
	}

	/***
	 * Return page title
	 *		
	 **/
	public function GetTitle(){
		if(isset($this->page['page_title'])){
			$page_title = $this->GetDataDecoded($this->page['page_title']);
			return $page_title;
		}else return "";
	}
	
	/***
	 * Return placement of menu
	 *		
	 **/
	public function GetMenuPlacement(){
		if(isset($this->page['menu_placement'])) return $this->page['menu_placement'];
		return "";
	}

	/***
	 * Return menu ID
	 *		
	 **/
	public function GetMenuId(){
		if(isset($this->page['menu_id'])) return $this->page['menu_id'];
		return "";
	}

	/***
	 * Return menu link
	 *		
	 **/
	public function GetMenuLink(){
		if(isset($this->page['menu_link'])){
			$menu_link = $this->GetDataDecoded($this->page['menu_link']);
			return $menu_link;
		}else return "";
	}
	
	/***
	 * Return page key
	 *		
	 **/
	public function GetKey(){
		return $this->page_key;
	}

	/***
	 * Return page ID
	 *		
	 **/
	public function GetId(){
		return $this->page_id;
	}
	
	/***
	 * Return page text
	 *		
	 **/
	public function GetText(){
		if(isset($this->page['page_text'])){
			$page_text = $this->GetDataDecodedText($this->page['page_text']);
			return $page_text;
		}else return "";
	}
	
	/***
	 * Return record set of current page
	 *		
	 **/
	function GetAll($lang_id = "") {		
		$where_clause = "";

		if($lang_id != "") $where_clause .= "AND ".DB_PREFIX."static_pages.language_id = '".$lang_id."' ";

		$sql = "SELECT
					".DB_PREFIX."static_pages.*,
					".DB_PREFIX."menus.menu_name,
					".DB_PREFIX."languages.lang_name as language_name
				FROM ".DB_PREFIX."static_pages  
					LEFT OUTER JOIN ".DB_PREFIX."menus ON ".DB_PREFIX."static_pages.menu_id=".DB_PREFIX."menus.id
					LEFT OUTER JOIN ".DB_PREFIX."languages ON ".DB_PREFIX."static_pages.language_id = ".DB_PREFIX."languages.abbreviation
				WHERE
					".DB_PREFIX."static_pages.is_home != 1
					".$where_clause."
				ORDER BY ".DB_PREFIX."menus.menu_order ASC";
		return database_query($sql,_DATA_AND_ROWS);
	}
	
	/***
	 * Update current page
	 *		@param $params - set of fields
	 **/
	function PageUpdate($params = array()) {
		if(isset($this->page['id'])){
			if(strtolower(_SITE_MODE) == "demo"){
				$this->error = OPERATION_BLOCKED;
				return false;
			}else{				
			
				// Get input parameters
				if(isset($params['id']))	         $this->page['id'] = $params['id'];
				if(isset($params['page_title']))	 $this->page['page_title'] = $params['page_title'];
				if(isset($params['page_key'])) 		 $this->page['page_key'] = $params['page_key'];
				if(isset($params['page_text']))		 $this->page['page_text'] = $params['page_text'];
				if(isset($params['menu_id']))		 $this->page['menu_id'] = $params['menu_id'];
				if(isset($params['menu_link']))		 $this->page['menu_link'] = $params['menu_link'];
				if(isset($params['menu_placement'])) $this->page['menu_placement'] = $params['menu_placement'];
				
				// Menu link cannot be more then 30 characters
				if (($this->page_id != "home" && $this->page_id != "public_home") && (strlen($this->page['menu_link']) > 30)) {
					$this->error = PAGE_LINK_TOO_LONG;
					return false;
				}
				
				$page_text = $this->GetDataEncodedText($this->page['page_text']); 
				$menu_link = $this->GetDataEncoded($this->page['menu_link']); 
				$page_title = $this->GetDataEncoded($this->page['page_title']); 
				
				 $sql = "UPDATE ".DB_PREFIX."static_pages
						SET 
							page_title = '".$page_title."',
							page_key = '".strtolower($this->page['page_key'])."',
							page_text = '".$page_text."',
							menu_id = ".intval($this->page['menu_id']).",
							menu_link = '".$menu_link."',
							menu_placement = '".$this->page['menu_placement']."'
						WHERE id = '".(int)$this->page['id']."'";
				if (database_void_query($sql)){
					return true;
				} else {
					$this->error = TRY_LATER;
					return false;
				}				
			}
		}else{
			$this->error = PAGE_UNKNOWN;
			return false;
		}
	}
	
	/***
	 * Create new page
	 *		@param $params - set of fields
	 **/
	function PageCreate($params = array()) {
		// Get input parameters
		if(isset($params['page_title']))$this->page['page_title'] = $params['page_title'];
		if(isset($params['page_key']))$this->page['page_key'] = $params['page_key'];
		if(isset($params['page_text']))$this->page['page_text'] = $params['page_text'];
		if(isset($params['menu_id']))$this->page['menu_id'] = $params['menu_id'];
		if(isset($params['menu_link']))$this->page['menu_link'] = $params['menu_link'];
		if(isset($params['menu_placement']))$this->page['menu_placement'] = $params['menu_placement'];
		if(isset($params['language_id'])) $this->page['language_id'] = $params['language_id'];

		// Menu link cannot be more then 30 characters
		if (strlen($this->page['menu_link']) > 30) {
			$this->error = PAGE_LINK_TOO_LONG;
			return false;
		}		
		
		// Prevent creating of empty records in our 'static pages' table
		if($this->page['page_title']!=""){
			$page_text = $this->GetDataEncodedText($this->page['page_text']); 
			$menu_link = $this->GetDataEncoded($this->page['menu_link']); 
			$page_title = $this->GetDataEncoded($this->page['page_title']); 
		
			if(strtolower(_SITE_MODE) == "demo"){
				$this->error = OPERATION_BLOCKED;
				return false;
			}else{				
				$total_languages = Languages::GetAll();
				for($i = 0; $i < $total_languages[1]; $i++){					
					// Create new record
					$sql = "INSERT INTO ".DB_PREFIX."static_pages(
							id,
							language_id,
							page_key,
							page_title,
							page_text,
							menu_id,
							menu_link,
							menu_placement
						)VALUES(
							NULL,
							'".$total_languages[0][$i]['abbreviation']."',
							'',
							'".$page_title."',
							'".$page_text."',
							".(int)$this->GetMenuIdByLang($this->page['menu_id'], $total_languages[0][$i]['abbreviation']).",
							'".$menu_link."',
							'".$this->page['menu_placement']."'
						)";
					if (database_void_query($sql)){				
						// Update page_key
						$last_insert_id = mysql_insert_id();
						$sql = "UPDATE ".DB_PREFIX."static_pages 
								SET page_key='".strtolower($this->page['page_key'])."'
								WHERE id=".intval($last_insert_id)."";
						if (database_void_query($sql)){

						}else{
							$this->error = TRY_LATER;
							return false;
						}
					} else {
						$this->error = TRY_LATER;
						return false;
					}					
				}
				return true;				
			}			
		}else{
			$this->error = PAGE_HEADER_EMPTY;
			return false;
		}
	}

	/***
	 * Delete page
	 *		@param $page_id
	 **/
	function PageDelete($page_id = "") {
		// check that the page exists
		if($this->page_id != ""){
			// Delete page
			if(strtolower(_SITE_MODE) == "demo"){
				$this->error = OPERATION_BLOCKED;
				return false;
			}else{
				$sql = "DELETE FROM ".DB_PREFIX."static_pages WHERE id = '".(int)$page_id."'";
				if(database_void_query($sql)) return true;				
			}
		}
		$this->error = TRY_LATER;
		return false;
	}
	
	/***
	 * Get menu id by language
	 *		@param $menu_id
	 *		@param $lang
	 **/
	private function GetMenuIdByLang($menu_id = "0", $lang = "en"){
		$sql = "SELECT ".DB_PREFIX."menus.menu_code
				FROM ".DB_PREFIX."menus
				WHERE ".DB_PREFIX."menus.id = '".$menu_id."'";
		$menu = database_query($sql,_DATA_ONLY,_FIRST_ROW_ONLY);
		if(!empty($menu)){
			$sql = "SELECT ".DB_PREFIX."menus.id
					FROM ".DB_PREFIX."menus
					WHERE
						".DB_PREFIX."menus.menu_code = '".$menu['menu_code']."' AND
						".DB_PREFIX."menus.language_id = '".$lang."'";
			$menu_id = database_query($sql,_DATA_ONLY,_FIRST_ROW_ONLY);
			if(!empty($menu_id)){
				return $menu_id['id'];
			}
		}
		return "0";
	}
	
	/***
	 * Get data encoded text
	 *		@param $string
	 **/
	private function GetDataEncodedText($string = ""){
		return $string;
	}
	
	/***
	 * Get data decoded text
	 *		@param $string
	 **/
	private function GetDataDecodedText($string = ""){
		$string = str_replace('\\\\', "\\", $string); // double quotation mark
		$string = str_replace('\"', '"', $string); // double quotation mark
		$string = str_replace("\'", "'", $string); // single quotation mark                        
		return $string;
	}
	
	/***
	 * Get data encoded
	 *		@param $string
	 **/
	private function GetDataEncoded($string = ""){
		return $string;
	}
	
	/***
	 * Get data decoded text
	 *		@param $string
	 **/
	private function GetDataDecoded($string = ""){
		$string = str_replace('\\\\', "\\", $string); // double quotation mark
		$string = str_replace('\"', "&#034;", $string); // double quotation mark
		$string = str_replace("\'", "&#039;", $string); // single quotation mark                        
		$string = str_replace('"', "&#034;", $string); // double quotation mark
		$string = str_replace("'", "&#039;", $string); // single quotation mark                        
		return $string;
	}
	
}
?>