<?php
session_start();

//------------------------------------------------------------------------------
require_once("shared.inc.php");
require_once("settings.inc.php");
require_once("functions.inc.php");

//------------------------------------------------------------------------------
// check and set token
$_SESSION["token"] = md5(uniqid(rand(), true));	

//------------------------------------------------------------------------------
// Save this order of loaded classes
require_once("classes/Session.class.php");
require_once("classes/Settings.class.php");
require_once("classes/Languages.class.php");
require_once("classes/Login.class.php");
require_once("classes/Accounts.class.php");
require_once("classes/Admins.class.php");
require_once("classes/StaticPages.class.php");
require_once("classes/Menu.class.php");
require_once("classes/Vocabulary.class.php");
require_once("classes/Backup.class.php");
require_once("classes/Email.class.php");
require_once("classes/MicroGrid.class.php");
require_once("classes/Modules.class.php");
require_once("classes/ModulesSettings.class.php");
require_once("classes/AdminsAccounts.class.php");

// Setup connection
$database_connection = @mysql_connect(DATABASE_HOST, DATABASE_USERNAME, DATABASE_PASSWORD) or die();
@mysql_select_db(DATABASE_NAME, $database_connection) or die();

// RETURN TYPES FOR DATABASE_QUERY FUNCTION
define("_ALL_ROWS", 0);
define("_FIRST_ROW_ONLY", 1);
define("_DATA_ONLY", 0);
define("_ROWS_ONLY", 1);
define("_DATA_AND_ROWS", 2);
define("_FIELDS_ONLY", 3);
define("_FETCH_ASSOC", "mysql_fetch_assoc");
define("_FETCH_ARRAY", "mysql_fetch_array");


function database_query($sql, $return_type = _DATA_ONLY, $first_row_only = _ALL_ROWS, $fetch_func = _FETCH_ASSOC, $debug=false) {
	$data_array = array();
	$num_rows = 0;
	$fields_len = 0;
	
	$result = mysql_query($sql, $GLOBALS["database_connection"]) or die($sql . "|" . mysql_error());
	if ($return_type == 0 || $return_type == 2) {
		while ($row_array = $fetch_func($result)) {
			if (!$first_row_only) {
				array_push($data_array, $row_array);
			} else {
				$data_array = $row_array;
				break;
			}
		}
	}
	$num_rows = mysql_num_rows($result);
	$fields_len = mysql_num_fields($result);
	mysql_free_result($result);
	if($debug == true) echo $sql . "-" . mysql_error();
	
	switch ($return_type) {
		case _DATA_ONLY:
			return $data_array;
		case _ROWS_ONLY:
			return $num_rows;
		case _DATA_AND_ROWS:
			return array($data_array, $num_rows);
		case _FIELDS_ONLY:
			return $fields_len;
	}	
}


function database_void_query($sql, $debug=false) {
	$result = mysql_query($sql, $GLOBALS["database_connection"]);	
	if($debug == true) echo $sql . " - " . mysql_error();
	$affected_rows = mysql_affected_rows($GLOBALS["database_connection"]);
	if(preg_match("/update /i", $sql)){
		 if($affected_rows >= 0) return true;
	}else if(preg_match("/drop t/i", $sql)){
		 if($affected_rows >= 0) return true;
	}else if(preg_match("/create t/i", $sql)){
		 if($affected_rows >= 0) return true;
	}else if($affected_rows > 0){ 
		return true;
	}
	return false;
}

function set_collation(){
	$encoding = "utf8";
	$collation = "utf8_unicode_ci";
	
	$sql_variables = array(
		'character_set_client'  =>$encoding,
		'character_set_server'  =>$encoding,
		'character_set_results' =>$encoding,
		'character_set_database'=>$encoding,
		'character_set_connection'=>$encoding,
		'collation_server'      =>$collation,
		'collation_database'    =>$collation,
		'collation_connection'  =>$collation
	);

	foreach($sql_variables as $var => $value){
		$sql = "SET $var=$value;";
		database_void_query($sql);
	}        
}

$user_session = new Session();
$login = new Login();
set_collation();
$objSettings = new Settings();

//------------------------------------------------------------------------------
// set language
if(isset($_GET['lang']) && Languages::LanguageExists($_GET['lang'])){
	$lang = $_SESSION['lang'] = $_GET['lang'];
	$lang_dir = $_SESSION['lang_dir'] = Languages::GetLanguageDirection($_GET['lang']);
}else if(isset($_SESSION['lang']) && isset($_SESSION['lang_dir'])){	
	$lang = $_SESSION['lang'];
	$lang_dir = $_SESSION['lang_dir'];
}else{
	$lang = Languages::GetDefaultLang();
	$lang_dir = Languages::GetLanguageDirection($lang);
}

include_once("messages.".$lang.".inc.php");	

?>