<?php

// GLOBAL FUNCTIONS 06.09.2009

/**
 * 	Creates a random string with characters 1-10 and a-z
 * 		@param length - the length of the random string 	
 **/
function random_string($length = 10)
{
	$rand_string = "";
	for ($i = 0; $i < $length; $i++) {
		$x = mt_rand(0, 35);
		if ($x > 9) $rand_string .= chr($x + 87);
		else $rand_string .= $x;
	}
	return $rand_string;
}

/**
 *	Draws messages 
 *  	@param $message - message text
 *      @param $is_draw
 **/
function draw_message($message, $is_draw=true, $bullet = false)
{
	if (!empty($message)) $message = "<table width='100%' align='center' class='message_box' border='0' cellspacing='1' cellpadding='1'><tr>".(($bullet) ? "<td class='message_sign'><img src='images/attention_sign.gif' alt='' border='0' />" : "<td>&nbsp;")."</td><td class='message_text'>".$message."</td></tr></table><br>";
	if(!$is_draw) return $message;
	else echo $message;	
}

/**
 *	Draws important messages 
 *  	@param $message - message text
 *      @param $is_draw
 **/
function draw_important_message($message, $is_draw=true)
{
	if (!empty($message)) $message = "<table width='100%' align='center' class='important_message_box' border='0' cellspacing='1' cellpadding='1'><tr><td class='message_sign'><img src='images/error_sign.gif' alt=''></td><td class='message_text'>" . $message . "</td></tr></table><br>";
	if(!$is_draw) return $message;
	else echo $message;	
}

/**
 *	Draws success messages 
 *  	@param $message - message text
 *      @param $is_draw
 **/
function draw_success_message($message, $is_draw=true)
{
	if(!empty($message)) $message = "<table width='100%' align='center' class='success_message_box' border='0' cellspacing='1' cellpadding='1'><tr><td class='message_sign'><img src='images/success_sign.gif' alt=''></td><td class='message_text'>" . $message . "</td></tr></table><br>";
	if(!$is_draw) return $message;
	else echo $message;	
}

/**
 *	Draws title bar
 *  	@param $title
 *  	@param $class
 *      @param $template
 **/
function draw_title_bar($title, $class="title_bar", $template = _DEFAULT_TEMPLATE)
{
	if (!empty($title)) {
		echo "<div class='line_no_margin'><img src='images/spacer.gif' width='100%' height='1px' alt='' /></div><div class='".$class."'>" . $title . "</div><img src='styles/".$template."/images/shadow.gif' width='100%' height='5px' alt='' /><br><img src='images/spacer.gif' width='100%' height='2px' alt='' /><br>";
	}
}

/**
 *	Draws line
 *  	@param $class
 *  	@param $image_directory
 **/
function draw_line($class = "no_margin_line", $image_directory = _IMAGE_DIRECTORY, $draw = true)
{
	$result = "<div class='".$class."'><img src='" . $image_directory . "line_spacer.gif' width='100%' height='1px' alt='' /></div>";
	if($draw) echo $result;
	else return $result;
}

/**
 *	Highlight rows
 *  	@param $offset
 **/
function highlight($offset = 1)
{
	if (!isset($GLOBALS['highlight_count'])) reset_highlight();	
	if (($GLOBALS['highlight_count'] + $offset) % 2  == 0) $highlight = " class='highlight_light'";
	else $highlight = " class='highlight_dark'";
	$GLOBALS['highlight_count']++;
	return $highlight;
}

/**
 *	Reset highlighting rows
 **/
function reset_highlight()
{
		$GLOBALS['highlight_count'] = 0;
}

/**
 *  Draws dropdown box with numbers
 *  Output 'select' tag with its field name, values and default value(for numeric fields)
 *  	@param $field_name
 *  	@param $field_value
 *  	@param $start
 *      @param $end
 *  	@param $step
 *  	@param $class
 **/
function draw_numbers_select_field($field_name, $field_value, $start, $end, $step = 1, $class = "")
{
	echo "<select name='$field_name' class='$class'>";
	$options = "";
	for ($i = $start; $i <= $end; $i = $i + $step) {
		$options .= "<option value='" . $i . "' ";
		$options .= ($i == $field_value) ? "selected='selected' " : "";
		$options .= ">" . $i . "</option>";
	}
	if($options=="")$options .= "Not Available";
	echo "$options</select>";
}

/**
 *  Draws select box 
 *  Output 'select' tag 
 *  	@param $field_name
 *  	@param $select_array
 *  	@param $option_value
 *  	@param $option_name
 *  	@param $selected_item
 *  	@param $class
 **/
function get_languages_box($field_name, $select_array, $option_value, $option_name, $selected_item = "", $class = "", $on_event = "")
{
	$options = "<select name='$field_name' class='$class' $on_event>";	
	foreach($select_array as $key => $val){
		$options .= "<option value='" . $val[$option_value] . "' ";
		$options .= ($selected_item == $val[$option_value]) ? "selected='selected' " : "";
		$options .= ">" . $val[$option_name] . "</option>";
	}
	if($options=="")$options .= "-- select --";
	return $options."</select>";
}

/**
 *  Get random string
 *  	@param $length
 **/
function get_random_string($length = 20)
{
	$template = "1234567890abcdefghijklmnopqrstuvwxyz";
	settype($template, "string");
	settype($length, "integer");
	settype($rndstring, "string");
	settype($a, "integer");
	settype($b, "integer");           
	for ($a = 0; $a <= $length; $a++) {
		$b = rand(0, strlen($template) - 1);
		$rndstring .= $template[$b];
	}       
	return $rndstring;       
}


/**
 *  Draw hidden fields
 *  	@param $field_name
 *  	@param $field_value
 **/
function draw_hidden_field($field_name, $field_value = "")
{
	echo "<input type='hidden' name='$field_name' id='$field_name' value='$field_value' />";
}


/**
 *  Draw top block 
 **/
function draw_block_top()
{
	global $STYLE_;
	$block_top_image = "";
	$block_middle_image = "";

	if($STYLE_['block_top_image'] != "") $block_top_image = "height: 12px; background-image: url(images/".$STYLE_['block_top_image']."); background-repeat: no-repeat;";
	if($STYLE_['block_middle_image'] != "") $block_middle_image = "background-image: url(images/".$STYLE_['block_middle_image']."); background-repeat: repeat-y;";
	
	echo "<table class='main_text' width='100%' border=0 cellspacing=0 cellpadding=0>
		<tr><td style='".$block_top_image."'></td></tr>						
		<tr>
			<td wrap='wrap' style='word-wrap: break-word; padding-left:0px; padding-right:0px;".$block_middle_image."'>";
}

/**
 *  Draw bottom block 
 **/
function draw_block_bottom()
{
	global $STYLE_;
	$block_bottom_image = "";
	
	if($STYLE_['block_bottom_image'] != "") $block_bottom_image = "height: 12px; background-image: url(images/".$STYLE_['block_bottom_image']."); background-repeat: no-repeat;";
	
	echo "</td></tr>
		<tr><td style='".$block_bottom_image."'></td></tr>
		<tr><td height='6px' nowrap></td></tr>
		</table>";
}

/**
 *  Retuerns divider image
 **/
function get_divider()
{
	return "<img src='images/divider.gif' width='1px' height='9px' alt='' />";
}

/**
 *  Camel Case
 *  	@param $string
 **/
function camel_case($string)
{
	$arr_temp = explode(" ",$string);
	for($i=0;$i<count($arr_temp);$i++){
		$arr_temp[$i] = ucfirst($arr_temp[$i]);
	}
	$str = implode(" ",$arr_temp);
	return $str;
}

/**
 *  Create SEO url from string
 *  	@param $string
 **/
function create_seo_url($string = "")
{
	$forbidden_simbols = array("\\", '"', "'", "(", ")", "[", "]", "*", ".", ",", "&", ";", ":", "&amp;", "?", "!", "=");

	$string = str_replace($forbidden_simbols, "", $string);
	$splitted_string = explode(" ", $string);
	$seo_url = "";
	$words_counter = 0;
	foreach($splitted_string as $key){
		if(trim($key) != ""){
			if($words_counter++ < 6){
				$seo_url .= ($seo_url != "") ? "-".$key : $key;   
			}else{
				break;   
			}               
		}           
	}
	return $seo_url;
}

/**
 *  Get base URL 
 **/
function get_base_url()
{
	$protocol = "http://";
	$port = "";
	$http_host = isset($_SERVER['HTTP_HOST']) ? $_SERVER['HTTP_HOST'] : '';
	if((isset($_SERVER['HTTPS']) && (strtolower($_SERVER['HTTPS']) != "off")) ||
		strtolower(substr($_SERVER['SERVER_PROTOCOL'], 0, 5)) == "https"){
		$protocol = "https://";
	}	
	if(isset($_SERVER['SERVER_PORT']) && $_SERVER['SERVER_PORT'] != "80"){
        if(!strpos($http_host, ":")){
			$port = ":".$_SERVER['SERVER_PORT'];
		}
	}	
	$folder = substr($_SERVER['SCRIPT_NAME'], 0, strrpos($_SERVER['SCRIPT_NAME'], "/")+1);	
	return $protocol.$http_host.$port.$folder;
}

/**
 *  Read subfolders of directory
 **/
function read_directory_subfolders($dir = "."){
	$folder=dir($dir); 
	$arrFolderEntries = array();
	while($folderEntry=$folder->read()){ 
		if($folderEntry != '.' && $folderEntry != '..' && is_dir($dir.$folderEntry)) 
			$arrFolderEntries[] = $folderEntry; 
	}     
	$folder->close(); 
	return $arrFolderEntries;
}

/**
 *  Check email address
 *  	@param $email
 **/
function check_email_address($email) {
	$strict = false;
	$regex = $strict ? '/^([.0-9a-z_-]+)@(([0-9a-z-]+\.)+[0-9a-z]{2,4})$/i' :  '/^([*+!.&#$\'\\%\/0-9a-z^_`{}=?~:-]+)@(([0-9a-z-]+\.)+[0-9a-z]{2,4})$/i';
	if (preg_match($regex, trim($email))) {
	   return true;
	} else {
	   return false;
	}    
}

/**
 *  Cut string by last word
 **/
function substr_by_word($text, $length = "0")
{
	$text = substr($text, 0, (int)$length);
	$blank_pos = strrpos($text, " ");
	if($blank_pos > 0) $text = substr($text, 0, $blank_pos);
	return $text;	
}



/**
 *	Remove bad chars from input
 *	  	@param $str_words - input
 **/
function remove_bad_chars($str_words)
{
	$found = false;
	$bad_string = array("select", "drop", ";", "--", "insert","delete", "xp_", "%20union%20", "/*", "*/union/*", "+union+", "load_file", "outfile", "document.cookie", "onmouse", "<script", "<iframe", "<applet", "<meta", "<style", "<form", "<img", "<body", "<link", "_GLOBALS", "_REQUEST", "_GET", "_POST", "include_path", "prefix", "http://", "https://", "ftp://", "smb://", "onmouseover=", "onmouseout=");
	for ($i = 0; $i < count($bad_string); $i++){
		$str_words = str_replace($bad_string[$i], "", $str_words);
	}
	return $str_words;            
}

/**
 *	Remove bad chars from input
 *	  	@param $str_words - input
 **/
function prepare_input($str_words, $escape = false)
{
	$found = false;
	$bad_string = array("select", "drop", ";", "--", "insert", "delete", "xp_", "%20union%20", "/*", "*/union/*", "+union+", "load_file", "outfile", "document.cookie", "onmouse", "<script", "<iframe", "<applet", "<meta", "<style", "<form", "<img", "<body", "<link", "_GLOBALS", "_REQUEST", "_GET", "_POST", "include_path", "prefix", "http://", "https://", "ftp://", "smb://", "onmouseover=", "onmouseout=");
	for($i = 0; $i < count($bad_string); $i++){
		$str_words = str_replace($bad_string[$i], "", $str_words);
	}
	
	if($escape){
		if(!get_magic_quotes_gpc()){
			$str_words = addslashes($str_words); 
		}		
	}
	
	return $str_words;            
}

/**
 *  Draw token hidden field (protection agains csrf attaks)
 *  		@param $draw
 */
function draw_token_field($draw = true)
{
	$token = isset($_SESSION["token"]) ? $_SESSION["token"] : '';	
	$output = "<input type='hidden' name='token' value='".$token."' />";
	if($draw) echo $output;
	else return $output;
}

/**
 *	Get decoded text
 *		@param $string
 **/
function decode_text($string = '', $code_quotes = true, $quotes_type = '')
{
	$single_quote = "'";
	$double_quote = '"';		
	if($code_quotes){
		if(!$quotes_type){
			$single_quote = '&#039;';
			$double_quote = '&#034;';
		}else if($quotes_type == 'single'){
			$single_quote = '&#039;';
		}else if($quotes_type == 'double'){
			$double_quote = '&#034;';
		}
	}
	
	$search  = array("\\\\","\\0","\\n","\\r","\Z","\\'",'\\"','"',"'");
	$replace = array("\\","\0","\n","\r","\x1a","\'",'\"',$double_quote,$single_quote);
	return str_replace($search, $replace, $string);
}

?>