<?php
################################################################################
##              -= YOU MAY NOT REMOVE OR CHANGE THIS NOTICE =-                 #
## --------------------------------------------------------------------------- #
##  ApPHP MicroCMS Free version 1.0.1                                          #
##  Developed by:  ApPhp <info@apphp.com>                                      # 
##  License:       GNU LGPL v.3                                                #
##  Site:          http://www.apphp.com/php-microcms/                          #
##  Copyright:     ApPHP MicroCMS (c) 2009. All rights reserved.               #
##                                                                             #
##  Additional modules (embedded):                                             #
##  -- openWYSIWYG 1.4.7 (free cross-browser)           http://openWebWare.com #
##  -- PHP Easy Installer v2.0.1 (installation module)        http://apphp.com #
##  -- Crystal Project Icons (icons set)               http://www.everaldo.com #
##                                                                             # 
################################################################################



if (!file_exists("include/base.inc.php")) {
	header("location: install.php");
	exit;
} else {

    //--------------------------------------------------------------------------
    // *** remote file inclusion, check for strange characters in $_GET keys
    // *** all keys with "/", "\", ":" or "%-0-0" are blocked, so it becomes virtually impossible
    // *** to inject other pages or websites
    foreach($_GET as $get_key => $get_value){
        if(is_string($get_value) && (preg_match("/\//", $get_value) || preg_match("/\[\\\]/", $get_value) || preg_match("/:/", $get_value) || preg_match("/%00/", $get_value))){
            if(isset($_GET[$get_key])) unset($_GET[$get_key]);
            die("A hacking attempt has been detected. For security reasons, we're blocking any code execution.");
        }
    }
	
	require_once("include/base.inc.php");
	require_once("include/connection.php");
	
	$page           	  = !empty($_GET['page']) ? remove_bad_chars($_GET['page']) : "home";
	$admin          	  = !empty($_GET['admin']) ? remove_bad_chars($_GET['admin']) : "";
	$site_preview   	  = !empty($_GET['preview']) ? remove_bad_chars($_GET['preview']) : "";
	$site_style     	  = ($objSettings->GetTemplate() != "") ? $objSettings->GetTemplate() : _DEFAULT_TEMPLATE;
	if(@$login->IsLoggedIn() && ($site_preview == "")) $site_style = "admin"; 
    $text_direction 	  = ($objSettings->GetDirection() != "") ? $objSettings->GetDirection() : _DEFAULT_DIRECTION;

    if(!$site_preview && @$login->IsLoggedIn()){
		$text_alignment_left  = ($text_direction == "ltr") ? "left" : "right";
		$text_alignment_right = ($text_direction == "ltr") ? "right" : "left";				
	}else{
		// use direction of selected language
		if($lang_dir != $text_direction) $text_direction = $lang_dir;
		
		$text_alignment_left  = ($text_direction == "ltr") ? "left" : "right";
		$text_alignment_right = ($text_direction == "ltr") ? "right" : "left";		
	}

	// call handlers if exist
	if (($page != "") && file_exists("page/handlers/handler_".$page.".php")) {
		include_once("page/handlers/handler_" . $page . ".php");
	} else if (($admin != "") && file_exists("admin/handlers/handler_".$admin.".php")) {
		include_once("admin/handlers/handler_".$admin.".php");
	}
	
	$base_url = get_base_url();

?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
    <title><?php echo $objSettings->GetParameter("tag_title"); ?></title>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name='description' content='<?php echo $objSettings->GetParameter("tag_description"); ?>' />
	<meta name='keywords' content='<?php echo $objSettings->GetParameter("tag_keywords"); ?>' />
    <meta name="author" content="ApPHP Company - Advanced Power of PHP">
    <meta name="generator" content="ApPHP MicroCMS v<?php echo CURRENT_VERSION; ?>">
	
    <base href="<?php echo $base_url; ?>"> 
	
	<link href="styles/<?php echo $site_style;?>/style.css" type=text/css rel=stylesheet />
	<link rel="SHORTCUT ICON" href="images/icons/apphp.ico" />
	<script type="text/javascript" src="js/main.js"></script>
    <style>
        #menu_box { float:<?php echo $text_alignment_left; ?>; } 		
        #content_box  { float:<?php echo $text_alignment_right; ?>; } 		    
    </style>
</head>    
<body dir="<?php echo $text_direction;?>">

<div id="container">
<?php include_once 'header.php'; ?>
<div id="surrounding_box">
<div id="main_box">

	<div id="menu_box">
        <img src="images/spacer.gif" width="100%" height="10px">
        <!-- LEFT COLUMN -->
            <?php                        
                include_once("page/left_column.php");    
                if($site_preview != "1"){
                    $login->DrawLoginLinks();
                }                        
            ?>
        <!-- END OF LEFT COLUMN -->			
        <img src="images/spacer.gif" width="100%" height="10px"><br>
	</div>

	<div id="content_box">
		<div class="spacer">&nbsp;</div><!--/clears and spaces-->
        <img src="images/spacer.gif" border="0" width="100%" height="10px"><br />
        <table width="100%" class="main_text" border="0" cellspacing="0" cellpadding="0">
        <tr>
            <td align="<?php echo$text_alignment_left;?>"><?php $login->DrawWelcomeMessage(); ?></td>
            <td align="<?php echo $text_alignment_right;?>">
                <?php
					// Draw top menu
					Menu::DrawTopMenu(@$login->IsLoggedIn(), $site_preview);	
				?>
				&nbsp;
            </td>
        </tr>
		<tr>
			<td align="left" colspan="2">
			<img src="images/spacer.gif" width="100%" height="10px">				
			<!-- MAIN CONTENT -->
				<?php		
					if (file_exists("install.php") || file_exists("install/")) {
						draw_important_message(INSTALL_PHP_EXISTS); echo "<br />";
					}				
					if (($page != "") && file_exists("page/" . $page . ".php")) {
						include_once("page/" . $page . ".php");
					} else if (($admin != "") && file_exists("admin/" . $admin . ".php")) {
						include_once("admin/" . $admin . ".php");
					} else {
						if($site_style == "admin"){
							include_once("admin/home.php");
						}else{
							include_once("page/static_pages.php");						
						}
					}
				?>
			<!-- END OF MAIN CONTENT -->
			<img src="images/spacer.gif" width="100%" height="10px"><br>
			</td>			
		</tr>
        </table>
		<div class="spacer">&nbsp;</div><!--/clears and spaces-->
        
	</div>
</div>
<?php include_once 'footer.php'; ?>
</div>
</div>


</body>
</html>
<?php } ?>
<?php echo "\n<!-- This script was generated by ApPHP MicroCMS v."._CURRENT_VERSION." (http://www.apphp.com/php-microcms/) -->"; ?>