﻿DROP TABLE IF EXISTS `<DB_PREFIX>accounts`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>accounts` (
  `id` smallint(6) NOT NULL auto_increment,
  `user_name` varchar(30) NOT NULL default '',
  `password` varchar(50) NOT NULL default '',
  `email` varchar(70) NOT NULL,
  `account_type` varchar(12) NOT NULL default '',
  `last_login` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

INSERT INTO `<DB_PREFIX>accounts` (`id`, `user_name`, `password`, `email`, `account_type`, `last_login`) VALUES
(1, '<USER_NAME>',<PASSWORD>, 'admin@domain.com', 'mainadmin', '2009-12-06 20:59:07');



DROP TABLE IF EXISTS `<DB_PREFIX>languages`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>languages` (
  `id` smallint(6) NOT NULL auto_increment,
  `lang_name` varchar(20) character set utf8 NOT NULL,
  `abbreviation` varchar(3) NOT NULL,
  `lang_dir` varchar(3) NOT NULL default 'ltr',
  `icon_image` varchar(50) NOT NULL,
  `lang_order` tinyint(4) NOT NULL default '0',
  `is_default` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

INSERT INTO `<DB_PREFIX>languages` (`id`, `lang_name`, `abbreviation`, `lang_dir`, `icon_image`, `lang_order`, `is_default`) VALUES
(1, 'English', 'en', 'ltr', 'en.gif', 1, 1);



DROP TABLE IF EXISTS `<DB_PREFIX>menus`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>menus` (
  `id` int(11) NOT NULL auto_increment,
  `menu_code` varchar(10) character set latin1 NOT NULL,
  `language_id` varchar(2) character set latin1 NOT NULL,
  `menu_name` varchar(30) collate utf8_unicode_ci default NULL,
  `menu_order` tinyint(3) default '1',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=3 ;

INSERT INTO `<DB_PREFIX>menus` (`id`, `menu_code`, `language_id`, `menu_name`, `menu_order`) VALUES
(1, 'AWSERTVERT', 'en', 'Installation', 1);



DROP TABLE IF EXISTS `<DB_PREFIX>modules`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>modules` (
  `id` smallint(6) NOT NULL auto_increment,
  `name` varchar(20) NOT NULL,
  `icon_file` varchar(50) NOT NULL,
  `is_installed` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

INSERT INTO `<DB_PREFIX>modules` (`id`, `name`, `icon_file`, `is_installed`) VALUES
(1, 'backup', 'backup.png', 1);



DROP TABLE IF EXISTS `<DB_PREFIX>modules_settings`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>modules_settings` (
  `id` int(10) NOT NULL auto_increment,
  `module_name` varchar(20) NOT NULL,
  `settings_key` varchar(20) NOT NULL,
  `settings_value` varchar(255) NOT NULL,
  `settings_description` varchar(70) NOT NULL,
  `key_display_type` enum('string','numeric','enum','yes/no') NOT NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 ;


DROP TABLE IF EXISTS `<DB_PREFIX>settings`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>settings` (
  `id` smallint(6) NOT NULL,
  `header_text` text collate utf8_unicode_ci NOT NULL,
  `footer_text` text collate utf8_unicode_ci NOT NULL,
  `text_direction` varchar(3) collate utf8_unicode_ci NOT NULL default 'ltr',
  `tag_title` varchar(125) collate utf8_unicode_ci NOT NULL,
  `tag_description` varchar(255) collate utf8_unicode_ci NOT NULL,
  `tag_keywords` varchar(255) collate utf8_unicode_ci NOT NULL,
  `template` varchar(32) character set latin1 NOT NULL,
  `admin_email` varchar(70) collate utf8_unicode_ci NOT NULL
) ENGINE=MyISAM DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;

INSERT INTO `<DB_PREFIX>settings` (`id`, `header_text`, `footer_text`, `text_direction`, `tag_title`, `tag_description`, `tag_keywords`, `template`, `admin_email`) VALUES
(0, 'ApPHP MicroCMS', 'ApPHP MicroCMS © <a class="footer_link" href="http://www.apphp.com/php-microcms/index.php">ApPHP</a>', 'ltr', 'ApPHP MicroCMS - Content Management System from ApPHP', 'ApPHP MicroCMS (PHP MCMS) is a simple, but very powerful Content Management System that everyone can use. ', 'php cms, php micro cms, php content management, open source php cms, simple php cms', 'default', 'admin@domain.com');



DROP TABLE IF EXISTS `<DB_PREFIX>static_pages`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>static_pages` (
  `id` int(11) NOT NULL auto_increment,
  `language_id` varchar(2) character set latin1 NOT NULL,
  `page_key` varchar(125) collate utf8_unicode_ci default NULL,
  `page_title` varchar(255) collate utf8_unicode_ci default NULL,
  `page_text` text collate utf8_unicode_ci,
  `menu_id` int(11) default '0',
  `menu_link` varchar(25) collate utf8_unicode_ci default NULL,
  `menu_placement` enum('','left','top') character set latin1 NOT NULL default 'left',
  `is_home` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=4 ;

INSERT INTO `<DB_PREFIX>static_pages` (`id`, `language_id`, `page_key`, `page_title`, `page_text`, `menu_id`, `menu_link`, `menu_placement`, `is_home`) VALUES
(1, 'en', 'welcome-to-php-microcms', 'Welcome to ApPHP MicroCMS', '<STRONG>Welcome to ApPHP MicroCMS! <BR></STRONG>\r\n<P class=storycontent>ApPHP MicroCMS (PHP MCMS) is a simple, but very powerful Content Management System that everyone can use. This script can be installed easily by web developers, webmasters, graphic designers, etc. PHP MCMS was developed in OOP and allows you to build websites in a few minutes and then easy add and edit the content. </P>\r\n<P class=storycontent>ApPHP MicroCMS allows users with very little technical knowledge to build websites and it widely used by our customers due to its easy management tools. ApPHP MicroCMS requires NO knowledge of HTML, although HTML can be used to enhance the pages by adding headings, images, hyperlinks or simply to emphasize text. </P>\r\n<P class=storycontent>The PHP MCMS is an excellent tool for those who: </P>\r\n<DIV class=storycontent>\r\n<UL class=normal>\r\n<LI>Want to create web sites </LI>\r\n<LI>Look for small, but powerful CMS</LI>\r\n<LI>Need to build a secure web site quickly</LI></UL></DIV>\r\n<P>&nbsp;<B>Main Features</B> </P>\r\n<DIV class=storycontent>\r\n<UL class=normal>\r\n<LI>One-Year FREE Updates</LI>\r\n<LI>Uploading images via WYSIWYG</LI>\r\n<LI>Image gallery for uploaded pictures</LI>\r\n<LI>Easy installation</LI>\r\n<LI>Design Templates</LI>\r\n\r\n<LI>Customizing header/footer</LI>\r\n<LI>Easy page creation and editing </LI>\r\n<LI>WYSIWYG pages editor</LI>\r\n<LI>Backup &amp; Restore module</LI>\r\n<LI>Multilingual text processing (UTF-8)</LI>\r\n<LI>Multi-Language</LI>\r\n<LI>Left/Top menu links</LI>\r\n<LI>Multi-Browser support</LI>\r\n<LI>Using MicroGrid class</LI></UL></DIV>', 0, '', '', 1),
(2, 'en', 'installation', 'Installation', '<A id=top name=top></A>\r\n<DIV class=post>\r\n<H2 id=post-1>Installation of ApPHP MicroCMS</H2>\r\n<DIV class=storycontent>\r\n<TABLE>\r\n<TBODY>\r\n<TR>\r\n<TD>\r\n<DIV id=toctitle>\r\n<UL>\r\n<LI class=toclevel-1><A href="index.php?page=static_pages&amp;pid=2#Installation_of_PHP_MicroCMS"><SPAN>1.</SPAN> <SPAN>Installation of ApPHP MicroCMS</SPAN></A> \r\n<UL>\r\n<LI class=toclevel-2><A href="index.php?page=static_pages&amp;pid=2#Step_1._Uncompressing_downloaded_file."><SPAN>1.1</SPAN> <SPAN>Step 1. Uncompressing downloaded file.</SPAN></A> \r\n<LI class=toclevel-2><A href="index.php?page=static_pages&amp;pid=2#Step_2._Uploading_files."><SPAN>1.2</SPAN> <SPAN>Step 2. Uploading files.</SPAN></A> \r\n<LI class=toclevel-2><A href="index.php?page=static_pages&amp;pid=2#Step_3._Creating_database."><SPAN>1.3</SPAN> <SPAN>Step 3. Creating database.</SPAN></A> \r\n<LI class=toclevel-2><A href="index.php?page=static_pages&amp;pid=2#Step_4._Setting_up_access_rights."><SPAN>1.4</SPAN> <SPAN>Step 4. Setting up access rights.</SPAN></A> \r\n<LI class=toclevel-2><A href="index.php?page=static_pages&amp;pid=2#Step_5._Running_install_file."><SPAN>1.5</SPAN> <SPAN>Step 5. Running install.php file.</SPAN></A> \r\n<LI class=toclevel-2><A href="index.php?page=static_pages&amp;pid=2#Step_6._Deleting_install_files."><SPAN>1.6</SPAN> <SPAN>Step 6. Deleting installation files.</SPAN></A> </LI></UL></LI></UL></DIV></TD></TR></TBODY></TABLE><A name=Installation_of_PHP_MicroCMS></A>\r\n<P>(for version 1.0.0 or above) </P>\r\n<P>A new installation of ApPHP MicroCMS is a very straight forward process: </P>\r\n<DIV class=editsection style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages&amp;pid=2#top">top</A>]</DIV><A name=Step_1._Uncompressing_downloaded_file.></A>\r\n<H3><B>Step 1. Uncompressing downloaded file.</B></H3>\r\n<HR>\r\n\r\n<P>Uncompress the ApPHP MicroCMS version 3.x.x script archive. The archive will create a directory called "PHPMCMS_3xx" </P>\r\n<P><BR></P>\r\n<DIV class=editsection style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages&amp;pid=2#top">top</A>]</DIV><A name=Step_2._Uploading_files.></A>\r\n<H3><B>Step 2. Uploading files.</B></H3>\r\n<HR>\r\n\r\n<P>Upload content of this folder (all files and directories it includes) to your document root (public_html, www, httpdocs etc.) or your micro-cms directory using FTP. Pay attention to DON''T use the capital letters in the name of the folder (for Linux users).</P>\r\n<P>For example: </P><PRE>public_html/</PRE>or <PRE>public_html/{micro-cms directory}/</PRE>\r\n<P>Rename default.htaccess into .htaccess if you need to add PHP5 handler.</P>\r\n<P><BR></P>\r\n<DIV class=editsection style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages&amp;pid=2#top">top</A>]</DIV><A name=Step_3._Creating_database.></A>\r\n<H3><B>Step 3. Creating database.</B></H3>\r\n<HR>\r\n\r\n<P>Using your hosting Control Panel, phpMyAdmin or another tool, create your database and user, and assign that user to the database. Write down the name of the database, username, and password for the site installation procedure. </P>\r\n<P><BR></P>\r\n<DIV class=editsection style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages&amp;pid=2#top">top</A>]</DIV><A name=Step_4._Setting_up_access_rights.></A>\r\n<H3><B>Step 4. Setting up access rights.</B></H3>\r\n<HR>\r\n\r\n<P>Check access permissions to <B>images/uploads/</B> and <B>wysiwyg/addons/imagelibrary/</B>. You have to set up 755 rights to these folders. Also check if your script is available to change permissions to <B>include/</B> folder. If not - set manually 777 rights to this folder and return them back to 755 after the installation was completed. </P>\r\n<P><BR></P>\r\n<DIV class=editsection style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages&amp;pid=2#top">top</A>]</DIV><A name=Step_5._Running_install_file.></A>\r\n<H3><B>Step 5. Running install.php file.</B></H3>\r\n<HR>\r\n\r\n<P>Now you can run install.php file. To do this, open a browser and type in Address Bar <PRE>http://{www.mydomain.com}/install.php</PRE>or <PRE>http://{www.mydomain.com}/{micro-cms directory}/install.php</PRE>Follow instructions on the screen. You will be asked to enter: database host, database name, username and password. Also you need to enter admin username and admin password, that will be used to get access to administration area of the site. \r\n<P></P>\r\n<P><BR></P>\r\n<DIV class=editsection style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages&amp;pid=2#top">top</A>]</DIV><A name=Step_6._Deleting_install_files.></A>\r\n<H3><B>Step 6. Deleting installation files.</B></H3>\r\n<HR>\r\n\r\n<P>After successful installation you will get an appropriate message and warning to remove install.php file and install/ directory. For security reasons, please delete them immediately. </P>\r\n<P><BR></P>Congratulations, you now have ApPHP MicroCMS v.3.x.x. Installed! </DIV></DIV>', 1, 'Installation', 'left', 0),
(3, 'en', 'getting-started', 'Getting Started', '<A id=top name=top></A>\r\n<DIV class=post>\r\n<H2 id=post-1>Getting Started with ApPHP MicroCMS (for version 1.0.0 or above)</H2>\r\n<DIV class=storycontent>\r\n<TABLE class=toc id=toc style="BORDER-RIGHT: #aaaaaa 1px dashed; BORDER-TOP: #aaaaaa 1px dashed; BORDER-LEFT: #aaaaaa 1px dashed; BORDER-BOTTOM: #aaaaaa 1px dashed" width="99%" summary=Contents border=0 prevstyle="border-right: #aaaaaa 1px dashed; border-top: #aaaaaa 1px dashed; border-left: #aaaaaa 1px dashed; border-bottom: #aaaaaa 1px dashed">\r\n<TBODY>\r\n<TR>\r\n<TD style="BORDER-RIGHT: #aaaaaa 1px dashed; BORDER-TOP: #aaaaaa 1px dashed; BORDER-LEFT: #aaaaaa 1px dashed; BORDER-BOTTOM: #aaaaaa 1px dashed" prevstyle="border-right: #aaaaaa 1px dashed; border-top: #aaaaaa 1px dashed; border-left: #aaaaaa 1px dashed; border-bottom: #aaaaaa 1px dashed">\r\n<UL>\r\n<LI class=toclevel-1><A href="index.php?page=static_pages_edit&amp;pid=3#Settings_and_account_parameters"><SPAN>1.</SPAN> <SPAN>Settings and account parameters.</SPAN></A> \r\n<UL>\r\n<LI class=toclevel-2><A href="index.php?page=static_pages_edit&amp;pid=3#Changing_account_parameters"><SPAN>1.1</SPAN> <SPAN>Changing account parameters.</SPAN></A> \r\n<LI class=toclevel-2><A href="index.php?page=static_pages_edit&amp;pid=3#Setting_up_site_parameters"><SPAN>1.2</SPAN> <SPAN>Setting up site parameters.</SPAN></A> \r\n<LI class=toclevel-2><A href="index.php?page=static_pages_edit&amp;pid=3#Modules_Management"><SPAN>1.3</SPAN> <SPAN>Modules Management.</SPAN></A> </LI></UL><BR><A href="index.php?page=static_pages_edit&amp;pid=3#Languages_Management"><SPAN>2.</SPAN> <SPAN>Languages Management.</SPAN></A> \r\n<UL>\r\n<LI class=toclevel-2><A href="index.php?page=static_pages_edit&amp;pid=3#Inserting_Editing_language"><SPAN>2.1</SPAN> <SPAN>Inserting/Editing language.</SPAN></A> \r\n<LI class=toclevel-2><A href="index.php?page=static_pages_edit&amp;pid=3#Editing_language_vocabulary"><SPAN>2.2</SPAN> <SPAN>Editing language vocabulary.</SPAN></A> </LI></UL><BR><A href="index.php?page=static_pages_edit&amp;pid=3#Menu_Management"><SPAN>3.</SPAN> <SPAN>Menu Management.</SPAN></A> \r\n<UL>\r\n<LI class=toclevel-2><A href="index.php?page=static_pages_edit&amp;pid=3#Creating_menu_categories"><SPAN>3.1</SPAN> <SPAN>Creating menu categories.</SPAN></A> \r\n<LI class=toclevel-2><A href="index.php?page=static_pages_edit&amp;pid=3#Editing_menu_categories"><SPAN>3.2</SPAN> <SPAN>Editing menu categories.</SPAN></A> </LI></UL><BR><A href="index.php?page=static_pages_edit&amp;pid=3#Pages_Management"><SPAN>4.</SPAN> <SPAN>Pages Management.</SPAN></A> \r\n<UL>\r\n<LI class=toclevel-2><A href="index.php?page=static_pages_edit&amp;pid=3#Editing_homepage"><SPAN>4.1</SPAN> <SPAN>Editing Homepage.</SPAN></A> \r\n<LI class=toclevel-2><A href="index.php?page=static_pages_edit&amp;pid=3#Creating_new_pages"><SPAN>4.2</SPAN> <SPAN>Creating new pages.</SPAN></A> \r\n<LI class=toclevel-2><A href="index.php?page=static_pages_edit&amp;pid=3#Editing_pages"><SPAN>4.3</SPAN> <SPAN>Editing pages.</SPAN></A> </LI></UL><BR><A href="index.php?page=static_pages_edit&amp;pid=3#Modules"><SPAN>5.</SPAN> <SPAN>Modules.</SPAN></A> \r\n<UL>\r\n<LI class=toclevel-2><A href="index.php?page=static_pages_edit&amp;pid=3#Backup_and_Restore_Module"><SPAN>5.1</SPAN> <SPAN>Backup &amp; Restore Module.</SPAN></A> \r\n</UL><BR><BR></LI></UL></TD></TR></TBODY></TABLE><A name=Settings_and_account_parameters></A>\r\n<H3><B>1. Settings and account parameters.</B></H3>\r\n<P>In this section described how to change settings and Account parameters. </P>\r\n<P></P>\r\n<DIV style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages_edit&amp;pid=3#top">top</A>]</DIV><A name=Changing_account_parameters></A>\r\n<H3><B>1.1 Changing account parameters.</B></H3>\r\n<HR>\r\n\r\n<P>Log in to your account, using administrator username and password. Then select My account from General Menu. You will get a page where you can change your password. Enter new password in Password and New Password menu and press Change Password button. </P>\r\n<P><BR></P>\r\n<DIV style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages_edit&amp;pid=3#top">top</A>]</DIV><A name=Setting_up_site_parameters></A>\r\n<H3><B>1.2 Setting up site parameters.</B></H3>\r\n<HR>\r\n\r\n<P>Select Settings from General Menu. On the page you will get you can easy change a text of header and footer. Also you can change site template. Just select template according to your needs and press Change button. </P>\r\n<P><BR></P>\r\n<DIV style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages_edit&amp;pid=3#top">top</A>]</DIV><A name=Modules_Management></A>\r\n<H3><B>1.3 Modules Management.</B></H3>\r\n<HR>\r\n\r\n<P>Select Modules from General Menu. On this page you can easy install/uninstall exisiting modules, for example backup etc. </P>\r\n<P><BR><BR></P><A name=Languages_Management></A>\r\n<H3><B>2. Languages Management.</B></H3>\r\n<P>In this section described how to manage languages and edit language settings. </P>\r\n<P></P>\r\n<DIV style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages_edit&amp;pid=3#top">top</A>]</DIV><A name=Inserting_Editing_language></A>\r\n<H3><B>2.1 Inserting/Editing Language.</B></H3>\r\n<HR>\r\n\r\n<P>Click on Language Menu from Languages Settings. On opened page you will see a list of existing languages. You can edit them and/or add new language. When you add or edit existing language you need to insert name of language, abbreviation, text direction, icon image and other data. When all needed data was entered - press on Create/Update button to save it. </P>\r\n<P><BR></P>\r\n<DIV style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages_edit&amp;pid=3#top">top</A>]</DIV><A name=Editing_language_vocabulary></A>\r\n<H3><B>2.2 Editing language vocabulary.</B></H3>\r\n<HR>\r\n\r\n<P>When you add new language, MicroCMS creates for new language vocabulary (a list of predefined constants, used by the system) and you need to translate them into the new language. </P>\r\n<P><BR></P><A name=Menu_Management></A>\r\n<H3><B>3. Managing menu.</B></H3>\r\n<P>In this section described how to manage menu categories and items. </P>\r\n<P></P>\r\n<DIV style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages_edit&amp;pid=3#top">top</A>]</DIV><A name=Creating_menu_categories></A>\r\n<H3><B>3.1 Creating menu categories.</B></H3>\r\n<HR>\r\n\r\n<P>Click on Add New Menu from Menus Management. In the text box enter a proper name for menu category and select menu order from dropdown list. Menu categories will appear sorted by order from smallest to highest. Press on Create button to finish creating new menu category process. </P>\r\n<P><BR></P>\r\n<DIV style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages_edit&amp;pid=3#top">top</A>]</DIV><A name=Editing_menu_categories></A>\r\n<H3><B>3.2 Editing menu categories.</B></H3>\r\n<HR>\r\n\r\n<P>To edit existing menu category - select Edit Menus from Menus Management, then click on appropriate category from the list. Perform all changes you need and then press on Save Changes button. <BR><BR>If you want to delete menu category - go to Edit Menus, then select it from the list and click on delete link at the right side. </P>\r\n<P><BR><BR></P><!-- -------------------------------------------------------------------\r\n        4. Pages Management\r\n        -------------------------------------------------------------------- --><A name=Pages_Management></A>\r\n<H3><B>4. Pages Management.</B></H3>\r\n<P>In this section described how to manage pages. </P>\r\n<P></P>\r\n<DIV style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages_edit&amp;pid=3#top">top</A>]</DIV><A name=Editing_homepage></A>\r\n<H3><B>4.1 Editing Homepage.</B></H3>\r\n<HR>\r\n\r\n<P>To edit Homepage - select Edit Menus from Pages Management. Perform all changes you need in all fields and then press on Save Changes button. <BR><BR>If you need to insert/upload images - click on Insert Image icon in the toolbar of WYSIWYG editor, then upload/select your image and press Submit button. </P>\r\n<P><BR></P>\r\n<DIV style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages_edit&amp;pid=3#top">top</A>]</DIV><A name=Creating_new_pages></A>\r\n<H3><B>4.2 Creating new pages.</B></H3>\r\n<HR>\r\n\r\n<P>Click on Add New Page from Pages Management. In the Page Header text box enter a proper name for this page. Choose appropriate value from dropdown list to relate this page to selected menu and enter a text in Page Text textarea. Press on Create button to finish creating new page process. <BR><BR>If you need to insert/upload images - click on Insert Image icon in the toolbar of WYSIWYG editor, then upload/select your image and press Submit button. </P>\r\n<P><BR></P>\r\n<DIV style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages_edit&amp;pid=3#top">top</A>]</DIV><A name=Editing_pages></A>\r\n<H3><B>4.3 Editing pages.</B></H3>\r\n<HR>\r\n\r\n<P>To edit existing page - click on Edit Pages from Pages Management, then select an appropriate page from the list. Perform all changes you need and then press on Save Changes button. <BR><BR>If you need to insert/upload images - click on Insert Image icon in the toolbar of WYSIWYG editor, then upload/select your image and press Submit button. </P>\r\n<P><BR><BR></P><!-- -------------------------------------------------------------------\r\n        5. Modules\r\n        -------------------------------------------------------------------- --><A name=Modules></A>\r\n<H3><B>5. Modules.</B></H3>\r\n<P>In this section described how to work with embedded modules. </P>\r\n<P></P>\r\n<DIV style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages_edit&amp;pid=3#top">top</A>]</DIV><A name=Backup_and_Restore_Module></A>\r\n<H3><B>5.1 Backup &amp; Restore Module.</B></H3>\r\n<HR>\r\n\r\n<P><B>Creating backup.</B><BR>ApPHP MicroCMS allow you easily create backup of your database. To do this go to Backup &amp; Restore -&gt; Backup Installation. On this page you will see a list of existing backups. If you want to add new backup click on BackUp button. After back file will be created it will appear in the list of existing backups. <BR><BR><B>Restoring from backup.</B><BR>To restore database from existing backup - go to Backup &amp; Restore -&gt; Backup Restore and look on the list of existing backups. Select a backup you want to restore and click on Restore link at the right side. After restoring will be completed, refresh the site or re-login. <BR></P>\r\n<P><BR></P>\r\n<DIV style="FLOAT: right; MARGIN-LEFT: 5px">[<A href="index.php?page=static_pages_edit&amp;pid=3#top">top</A>]</DIV><BR><BR></P>\r\n<P><BR></P></DIV></DIV>', 1, 'Getting Started', 'left', 0);



DROP TABLE IF EXISTS `<DB_PREFIX>vocabulary`;
CREATE TABLE IF NOT EXISTS `<DB_PREFIX>vocabulary` (
  `id` smallint(6) NOT NULL auto_increment,
  `language_id` varchar(3) character set latin1 NOT NULL,
  `key_value` varchar(50) character set latin1 NOT NULL,
  `key_text` varchar(255) collate utf8_unicode_ci NOT NULL,
  PRIMARY KEY  (`id`),
  KEY `language_id` (`language_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci AUTO_INCREMENT=221 ;

INSERT INTO `<DB_PREFIX>vocabulary` (`id`, `language_id`, `key_value`, `key_text`) VALUES
(1, 'en', 'ACTIONS', 'Action'),
(2, 'en', 'ACTIONS_WORD', 'Action'),
(3, 'en', 'CHANGE_ORDER', 'Change Order'),
(4, 'en', 'CHANGES_SAVED', 'Changes were saved.'),
(5, 'en', 'DELETE_WORD', 'Delete'),
(6, 'en', 'EDIT_WORD', 'Edit'),
(7, 'en', 'INSTALL_PHP_EXISTS', 'Files <b>install.php</b> and/or directory <b>install/</b> still exist. For security reasons please remove them immediately!'),
(8, 'en', 'MENU_WORD', 'Menu'),
(9, 'en', 'ORDER', 'Order'),
(10, 'en', 'OPERATION_BLOCKED', 'This operation is blocked in Demo Version!'),
(11, 'en', 'PASSWORD', 'Password'),
(12, 'en', 'TRY_LATER', 'An error occured while execution. Please try again later!'),
(13, 'en', 'USERNAME', 'Username'),
(14, 'en', 'VIEW_WORD', 'View'),
(15, 'en', 'KEY', 'Key'),
(16, 'en', 'VALUE', 'Value'),
(17, 'en', 'HDR_HEADER_TEXT', 'Header Text'),
(18, 'en', 'HDR_FOOTER_TEXT', 'Footer Text'),
(19, 'en', 'HDR_TEXT_DIRECTION', 'Text Direction'),
(20, 'en', 'HDR_TEMPLATE', 'Template'),
(21, 'en', 'HEADER_IS_EMPTY', 'Header can not be empty! Please re-enter.'),
(22, 'en', 'FOOTER_IS_EMPTY', 'Footer can not be empty! Please re-enter.'),
(23, 'en', 'TEMPLATE_IS_EMPTY', 'Template can not be empty! Please re-enter.'),
(24, 'en', 'SETTINGS_SAVED', 'Changes were saved! Please refresh the <a href=index.php>Home Page</a> to see the results.'),
(25, 'en', 'PASSWORD_CHANGED', 'Password was changed.'),
(26, 'en', 'PASSWORD_NOT_CHANGED', 'Password was not changed. Please try again!'),
(27, 'en', 'PASSWORD_DO_NOT_MATCH', 'Password and confirmation do not match!'),
(28, 'en', 'PASSWORD_IS_EMPTY', 'Passwords must not be empty and at least 6 characters!'),
(29, 'en', 'BUTTON_CHANGE_PASSWORD', 'Change Password'),
(30, 'en', 'BUTTON_SAVE_CHANGES', 'Save Changes'),
(31, 'en', 'BUTTON_CREATE', 'Create'),
(32, 'en', 'BUTTON_CHANGE', 'Change'),
(33, 'en', 'BUTTON_LOGIN', 'Login'),
(34, 'en', 'BUTTON_UPDATE', 'Update'),
(35, 'en', 'BUTTON_LOGOUT', 'Logout'),
(36, 'en', 'WRONG_LOGIN', 'Wrong username or password!'),
(37, 'en', 'NOT_AUTHORIZED', 'You are not authorized to view this page.'),
(38, 'en', 'ALREADY_LOGGED', 'You are already logged in!'),
(39, 'en', 'ADMIN_LOGIN', 'Admin Login'),
(40, 'en', 'WELCOME_ADMIN', 'welcome to Admin Panel!'),
(41, 'en', 'VOC_KEY_UPDATED', 'Vocabulary key was successfully updated.'),
(42, 'en', 'VOC_KEY_VALUE_EMPTY', 'Key value can not be empty! Please re-enter.'),
(43, 'en', 'PAGE_MANAGEMENT', 'Pages Management'),
(44, 'en', 'PAGE_ADD_NEW', 'Add New Page'),
(45, 'en', 'PAGE_HEADER', 'Page Header'),
(46, 'en', 'PAGE_EDIT_HOME', 'Edit HomePage'),
(47, 'en', 'PAGE_EDIT_PAGES', 'Edit Pages'),
(48, 'en', 'PAGE_CREATED', 'Page was successfully created'),
(49, 'en', 'PAGE_NOT_CREATED', 'Page was not created!'),
(50, 'en', 'PAGE_SAVED', 'Page was successfully saved'),
(51, 'en', 'PAGE_NOT_SAVED', 'Page was not saved!'),
(52, 'en', 'PAGE_DELETED', 'Page was successfully deleted'),
(53, 'en', 'PAGE_NOT_DELETED', 'Page was not deleted!'),
(54, 'en', 'PAGE_UNKNOWN', 'Unknown page!'),
(55, 'en', 'PAGE_KEY_EMPTY', 'Page key can not be empty!'),
(56, 'en', 'PAGE_HEADER_EMPTY', 'Page header can not be empty!'),
(57, 'en', 'PAGE_LINK_TOO_LONG', 'Menu link too long!'),
(58, 'en', 'PAGE_DELETE_WARNING', 'Are you sure you want to delete this page?'),
(59, 'en', 'PAGE_NOT_FOUND', 'No Pages Found'),
(60, 'en', 'CHANGE_YOUR_PASSWORD', 'Change your password'),
(61, 'en', 'MENU_ADD', 'Add Menu'),
(62, 'en', 'MENU_CREATED', 'Menu was successfully created'),
(63, 'en', 'MENU_DELETED', 'Menu was successfully deleted'),
(64, 'en', 'MENU_EDIT', 'Edit Menu'),
(65, 'en', 'MENU_MISSED', 'Missed menu to update! Please, try again.'),
(66, 'en', 'MENU_MANAGEMENT', 'Menus Management'),
(67, 'en', 'MENU_NAME', 'Menu Name'),
(68, 'en', 'MENU_NOT_CREATED', 'Menu was not created!'),
(69, 'en', 'MENU_NOT_SAVED', 'Menu was not saved!'),
(70, 'en', 'MENU_NOT_DELETED', 'Menu was not deleted!'),
(71, 'en', 'MENU_NOT_FOUND', 'No Menus Found'),
(72, 'en', 'MENU_NAME_EMPTY', 'Menu name can not be empty!'),
(73, 'en', 'MENU_ORDER', 'Menu Order'),
(74, 'en', 'MENU_ORDER_CHANGED', 'Menu order was successfully changed'),
(75, 'en', 'MENU_SAVED', 'Menu was successfully saved'),
(76, 'en', 'MENU_TITLE', 'Menu Title'),
(77, 'en', 'MENU_DELETE_WARNING', 'Are you sure you want to delete this menu? Note: this will make all its menu links invisible to your site visitors!'),
(78, 'en', 'HOME', 'Home'),
(79, 'en', 'BACKUP_AND_RESTORE', 'Backup & Restore'),
(80, 'en', 'PERSONAL_INFORMATION', 'Personal Information'),
(81, 'en', 'VOCABULARY', 'Vocabulary'),
(82, 'en', 'SITE_PREVIEW', 'Site Preview'),
(83, 'en', 'MY_ACCOUNT', 'My Account'),
(84, 'en', 'SETTINGS', 'Settings'),
(85, 'en', 'NAME', 'Name'),
(86, 'en', 'ADD_NEW_MENU', 'Add New Menu'),
(87, 'en', 'EDIT_MENUS', 'Edit Menus'),
(88, 'en', 'GENERAL', 'General'),
(89, 'en', 'RETYPE_PASSWORD', 'Retype Password'),
(90, 'en', 'CLICK_TO_EDIT', 'Click to edit'),
(91, 'en', 'UP', 'Up'),
(92, 'en', 'DOWN', 'Down'),
(93, 'en', 'ALERT_REQUIRED_FILEDS', 'Items marked with an asterisk (<font color=darkred>*</font>) are required'),
(94, 'en', 'SITE_SETTINGS', 'Site Settings'),
(95, 'en', 'LEFT_TO_RIGHT', 'LTR (left-to-right)'),
(96, 'en', 'RIGHT_TO_LEFT', 'RTL (right-to-left)'),
(99, 'en', 'GRAY', 'Gray'),
(100, 'en', 'GREEN', 'Green'),
(102, 'en', 'NOT_AVAILABLE', 'N/A'),
(103, 'en', 'PAGE_TEXT', 'Page text'),
(104, 'en', 'ADD_TO_MENU', 'Add To Menu'),
(105, 'en', 'MENU_LINK_TEXT', 'Menu Link (max. 18 chars)'),
(106, 'en', 'EDIT_PAGE', 'Edit Page'),
(107, 'en', 'BUTTON_REWRITE', 'Rewrite Vocabulary'),
(108, 'en', 'VOC_UPDATED', 'Vocabulary was successfully updated. Click <a href=index.php>here</a> to refresh the site.'),
(109, 'en', 'FILTER_BY', 'Filter by'),
(110, 'en', 'ALL', 'All'),
(111, 'en', 'VOC_NOT_FOUND', 'No keys found'),
(112, 'en', 'BACKUP_INSTALLATION', 'Backup Installation'),
(113, 'en', 'BACKUP_RESTORE', 'Backup Restore'),
(114, 'en', 'BACKUP_WAS_RESTORED', 'Backup _FILE_NAME_ was successfully restored.'),
(115, 'en', 'BACKUP_WAS_CREATED', 'Backup _FILE_NAME_ was successfully created.'),
(116, 'en', 'BACKUP_WAS_DELETED', 'Backup _FILE_NAME_ was successfully deleted.'),
(117, 'en', 'BACKUP_YOUR_INSTALLATION', 'Backup your current Installation'),
(118, 'en', 'BACKUP', 'Backup'),
(119, 'en', 'BACKUPS_EXISTING', 'Existing Backups'),
(120, 'en', 'BACKUP_RESTORE_NOTE', 'Restore a previous Backup. <b>Note: This will delete all your current settings.</b>'),
(121, 'en', 'BACKUP_CHOOSE_MSG', 'Choose a backup from the list below'),
(122, 'en', 'BACKUP_DELETE_ALERT', 'Are you sure you want to delete this backup?'),
(123, 'en', 'BACKUP_RESTORE_ALERT', 'Are you sure you want to restore this backup'),
(124, 'en', 'RESTORE', 'Restore'),
(125, 'en', 'BACKUP_EMPTY_MSG', 'No existing backups found.'),
(126, 'en', 'BACKUP_EMPTY_NAME_ALERT', 'Name the backup file can not be empty! Please re-enter.'),
(127, 'en', 'FILE_DELETING_ERROR', 'An error occurred while deleting file! Please try again later.'),
(128, 'en', 'BACKUP_RESTORING_ERROR', 'An error occurred while restoring file! Please try again later.'),
(129, 'en', 'BACKUP_EXECUTING_ERROR', 'An error occurred while backup the system. Please try again later.'),
(130, 'en', 'DISPLAY_ON', 'Display on'),
(131, 'en', 'LEFT', 'Left'),
(132, 'en', 'TOP', 'Top'),
(133, 'en', 'PLACEMENT', 'Placement'),
(134, 'en', 'MENU_LINK', 'Menu Link'),
(136, 'en', 'YES', 'Yes'),
(137, 'en', 'NO', 'No'),
(138, 'en', 'FORGOT_PASSWORD', 'Forgot Password'),
(139, 'en', 'SELECT', 'select'),
(140, 'en', 'PASSWORD_FORGOTTEN', 'Forgotten Password'),
(141, 'en', 'EMAIL_ADDRESS', 'E-mail address'),
(142, 'en', 'SEND', 'Send'),
(143, 'en', 'PASSWORD_ALREADY_SENT', 'Password was already sent to your email. Please try again later.'),
(144, 'en', 'PASSWORD_SUCCESSFULLY_SENT', 'Your password has been successfully sent to the email address.'),
(145, 'en', 'EMAIL_IS_EMPTY', 'Email must not be empty! Please re-enter.'),
(146, 'en', 'EMAIL_IS_WRONG', 'Please enter a valid email address.'),
(147, 'en', 'EMAIL_NOT_EXISTS', 'This e-mail account does not exist in the system! Please re-enter.'),
(148, 'en', 'LANGUAGES_SETTINGS', 'Languages Settings'),
(149, 'en', 'LANGUAGES', 'Languages'),
(150, 'en', 'LANGUAGE_NAME', 'Language Name'),
(151, 'en', 'IS_DEFAULT', 'Default'),
(152, 'en', 'LANGUAGE_ADD_NEW', 'Add New Language'),
(153, 'en', 'MODULES', 'Modules'),
(154, 'en', 'ADMIN_EMAIL', 'Admin Email'),
(155, 'en', 'LANG_NAME_EMPTY', 'Language name can not be empty!'),
(156, 'en', 'MODULES_NOT_FOUND', 'No modules found!'),
(157, 'en', 'INSTALL', 'Install'),
(158, 'en', 'UNINSTALL', 'Uninstall'),
(159, 'en', 'LANG_DELETE_LAST_ERROR', 'You cannot delete last language!'),
(160, 'en', 'ADMIN_PANEL', 'Admin Panel'),
(161, 'en', 'ADMIN_EMAIL_IS_EMPTY', 'Admin email must not be empty! Please re-enter.'),
(162, 'en', 'ADMIN_EMAIL_WRONG', 'Admin email in wrong format! Please re-enter.'),
(163, 'en', 'LANG_NAME_EXISTS', 'Language with such name already exists! Please choose another.'),
(164, 'en', 'LANG_DELETE_WARNING', 'Are you sure you want to remove this language? This operation will delete all language vocabulary!'),
(165, 'en', 'LANG_DELETED', 'Language was successfully deleted!'),
(166, 'en', 'LANG_NOT_DELETED', 'Language was not deleted!'),
(167, 'en', 'LANG_MISSED', 'Missed language to update! Please, try again.'),
(168, 'en', 'LANGUAGE_ADDED', 'New language was successfully added!'),
(169, 'en', 'MODULE_INSTALL_ALERT', 'Are you sure you want to install this module?'),
(170, 'en', 'MODULE_UNINSTALL_ALERT', 'Are you sure you want to un-install this module?'),
(171, 'en', 'MODULE_INSTALLED', 'Module was successfully installed!'),
(172, 'en', 'MODULE_UNINSTALLED', 'Module was successfully un-installed!'),
(175, 'en', 'NO_RECORDS_FOUND', 'No records found'),
(176, 'en', 'PASSWORD_RECOVERY_MSG', 'To recover your password, please enter your e-mail address and a link will be emailed to you.'),
(177, 'en', 'LANG_ORDER_CHANGED', 'Language order was successfully changed!'),
(178, 'en', 'ABBREVIATION', 'Abbreviation'),
(179, 'en', 'LANG_ABBREV_EMPTY', 'Language abbreviation can not be empty!'),
(180, 'en', 'HEADER', 'Header'),
(181, 'en', 'DATE_CREATED', 'Date Created'),
(182, 'en', 'DELETE_WARNING', 'Are you sure you want to install this record?'),
(183, 'en', 'ADD_NEW', 'Add New'),
(184, 'en', 'TEXT', 'Text'),
(185, 'en', 'ADDING_OPERATION_COMPLETED', 'The adding operation completed successfully!'),
(187, 'en', 'FIELD_CANNOT_BE_EMPTY', 'Field _FIELD_ can not be empty! Please re-enter.'),
(188, 'en', 'WRONG_PARAMETER_PASSED', 'Wrong parameters passed - can not complete operation! '),
(189, 'en', 'DELETE_WARNING_COMMON', 'Are you sure you want to delete this record?'),
(190, 'en', 'DELETING_OPERATION_COMPLETED', 'Deleting operation was successfully completed!'),
(191, 'en', 'ICON_IMAGE', 'Icon image'),
(193, 'en', 'LANGUAGE_EDIT', 'Edit Language'),
(194, 'en', 'LANGUAGE', 'Language'),
(195, 'en', 'UPDATING_OPERATION_COMPLETED', 'Updating operation was successfully completed!'),
(196, 'en', 'BUTTON_BACK', 'Back'),
(197, 'en', 'BUTTON_CANCEL', 'Cancel'),
(198, 'en', 'KEY_DISPLAY_TYPE', 'Key display type'),
(199, 'en', 'FIELD_MUST_BE_NUMERIC', 'Field _FIELD_ must be numeric value! Please re-enter.'),
(200, 'en', 'READ_MORE', 'Read more'),
(201, 'en', 'POSTED_ON', 'Posted on'),
(202, 'en', 'LANGUAGE_EDITED', 'Language data was successfully updated!'),
(203, 'en', 'TODAY', 'Today'),
(204, 'en', 'LAST_LOGIN', 'Last Login'),
(205, 'en', 'ACCOUNTS_MANAGEMENT', 'Accounts'),
(206, 'en', 'ADMINS', 'Admins'),
(207, 'en', 'ADMINS_MANAGEMENT', 'Admins Management'),
(208, 'en', 'FIELD_MUST_BE_BOOLEAN', 'Field _FIELD_ value must be ''yes'' or ''no''! Please re-enter.'),
(209, 'en', 'USER_NAME', 'User name'),
(210, 'en', 'ACCOUNT_TYPE', 'Account type'),
(211, 'en', 'TAG_TITLE', 'Tag &lt;TITLE&gt;'),
(212, 'en', 'META_TAG_DESCRIPTION', 'Meta Tag &lt;DESCRIPTION&gt;'),
(213, 'en', 'TAG_TITLE_IS_EMPTY', 'Tag &lt;TITLE&gt; ca not be empty! Please re-enter.'),
(214, 'en', 'META_TAG_KEYWORDS', 'Meta Tag &lt;KEYWORDS&gt;'),
(215, 'en', 'CONTACT_US', 'Contact us'),
(216, 'en', 'FIELD_MUST_BE_EMAIL', '_FIELD_ must be in valid email format! Please re-enter.'),
(217, 'en', 'FIELD_MUST_BE_ALPHA', '_FIELD_ must be alphabetic value! Please re-enter.'),
(219, 'en', 'FIELD_MUST_BE_ALPHA_NUMERIC', '_FIELD_ must be alphanumeric value! Please re-enter.'),
(220, 'en', 'FIELD_MUST_BE_TEXT', '_FIELD_ value must be a text! Please re-enter.');
